Bug #345

Python bindings don't work with Python 2.7.10 (OSX)

Added by Armin Samii over 2 years ago. Updated over 2 years ago.

Status:NewStart date:11/18/2015
Priority:NormalDue date:
Assignee:-% Done:

0%

Category:-
Target version:-

Description

Steps to reproduce:

Grab the homebrew python
$> brew install python

Sanity check
$> /usr/local/bin/python --version
Should be 2.7.10.

Try importing mitsuba
$> /usr/local/bin/python -c "import mitsuba"
Segfault.

History

#1 Updated by Armin Samii over 2 years ago

I see in the release notes that this should have been fixed: "On OSX, the Mitsuba Python bindings can now also be used with non-Apple Python binaries (previously, doing so would result in segmentation faults)."

However, it does not seem fixed on my end. I am using the latest mitsuba binaries and have installed command-line tools. Mitsuba does work on the Apple python binary (/usr/bin/python).

Also available in: Atom PDF